{
    "type": "minecraft:chest",
    "pools": [
      {
        "rolls": 34,
        "entries": [
          {
            "type": "minecraft:item",
            "name": "minecraft:milk_bucket",
            "weight": 3
          },
          {
            "type": "minecraft:item",
            "name": "minecraft:beef",
            "weight": 2
          },
          {
            "type": "minecraft:item",
            "name": "minecraft:egg",
            "weight": 3
          },
          {
            "type": "minecraft:item",
            "name": "minecraft:salmon",
            "weight": 2
          },
          {
            "type": "minecraft:item",
            "name": "minecraft:cod",
            "weight": 2
          },
          {
            "type": "minecraft:item",
            "name": "minecraft:mutton",
            "weight": 2
          },
          {
            "type": "minecraft:item",
            "name": "minecraft:porkchop",
            "weight": 2
          },
          {
            "type": "minecraft:item",
            "name": "minecraft:rabbit",
            "weight": 2
          },
          {
            "type": "minecraft:item",
            "name": "minecraft:chicken",
            "weight": 2
          },
          {
            "type": "minecraft:item",
            "name": "minecraft:kelp",
            "weight": 1,
            "functions": [
              {
                "function": "minecraft:set_count",
                "count": 3
              }
            ]
          }
        ],
        "functions": [
          {
            "function": "minecraft:set_custom_data",
            "tag": "{donot:1}"
          }
        ]
      }
    ]
  }  